Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.sql.transaction.delete
Class FeatureNode

    java.lang.Object
      org.deegree.io.datastore.sql.transaction.delete.FeatureNode

     class FeatureNode

extends Object

A node of a `FeatureGraph`. Represents one `Feature` instance which must or must not be deleted during a `Delete` operation.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $
See Also:
  `FeatureGraph`

Constructor Summary
`FeatureNode(FeatureGraph graph, FeatureId fid, Map<MappedFeaturePropertyType,List<FeatureId>> subFeatureProperties, Set<FeatureId> superFeatures)` Creates a new `FeatureNode` instance that represents the feature with the given `FeatureId`.

Method Summary
`boolean` | `equals(Object obj)`
`(package private) FeatureId` | `getFid()` Returns the associated `FeatureId`.
`(package private) Set<FeatureId>` | `getSubFeatureIds()` Returns the ids of all subfeatures of the represented feature.
`(package private) List<FeatureId>` | `getSubFeatureIds(MappedFeaturePropertyType pt)` Returns the ids of all subfeatures stored in the specified property of the represented feature.
`(package private) List<FeatureNode>` | `getSubFeatures()` Returns all subfeatures of the represented feature.
`(package private) Set<FeatureId>` | `getSuperFeatureIds()` Returns the ids of all superfeatures of the represented feature (features that contain the represented feature as a subfeature).
`int` | `hashCode()`
`(package private) boolean` | `isDeletable()` Returns whether the represented feature may be deleted.
`(package private) void` | `markAsUndeletable()` Marks this feature as undeletable.
`(package private) String` | `toString(String indent, Set<FeatureNode> printedNodes)` Generates an indented string representation of this `FeatureNode` and all it's descendant subfeatures.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeatureNode

    FeatureNode(FeatureGraph graph,
                FeatureId fid,
                Map<MappedFeaturePropertyType,List<FeatureId>> subFeatureProperties,
                Set<FeatureId> superFeatures)

  Creates a new `FeatureNode` instance that represents the feature with the given `FeatureId`.

  Parameters:
    `graph` - `FeatureGraph` that the node belongs to
    `fid` - id of the represented feature
    `subFeatureProperties` - complex property types of the feature and the ids of the subfeatures that they contain
    `superFeatures` - ids of all features that contain the represented feature as a subfeature

Method Detail

### getFid

    FeatureId getFid()

  Returns the associated `FeatureId`.

  Returns:
    the associated `FeatureId`

### getSubFeatureIds

    Set<FeatureId> getSubFeatureIds()

  Returns the ids of all subfeatures of the represented feature.

  Returns:
    the ids of all subfeatures of the represented feature

### getSubFeatureIds

    List<FeatureId> getSubFeatureIds(MappedFeaturePropertyType pt)

  Returns the ids of all subfeatures stored in the specified property of the represented feature.

  Parameters:
    `pt` - property type
  Returns:
    the ids of all subfeatures of the represented feature

### getSubFeatures

    List<FeatureNode> getSubFeatures()

  Returns all subfeatures of the represented feature.

  Returns:
    all subfeatures of the represented feature

### getSuperFeatureIds

    Set<FeatureId> getSuperFeatureIds()

  Returns the ids of all superfeatures of the represented feature (features that contain the represented feature as a subfeature).

  Returns:
    the ids of all superfeatures of the represented feature

### isDeletable

    boolean isDeletable()

  Returns whether the represented feature may be deleted.

  Returns:
    true, if the represented feature may be deleted, otherwise false

### markAsUndeletable

    void markAsUndeletable()

  Marks this feature as undeletable. This is also applied to all it's descendant subfeatures.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    String toString(String indent,
                    Set<FeatureNode> printedNodes)

  Generates an indented string representation of this `FeatureNode` and all it's descendant subfeatures.

  Parameters:
    `indent` - current indentation (string consisting of spaces)
    `printedNodes` - `FeatureNode`s that have all ready been encountered (to avoid endless recursion)
  Returns:
    an indented string representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org